Update conversations configuration
PATCH
/workspaces/{workspaceId}/channels/{channelId}/conversational
This endpoint can be used to enable conversations for a channel. You should enable this option if you'd like incoming messages on this channel to start conversations.
Anfrage-Payload
status
string
erforderlich
Conversation status. If enabled, creates conversations for incoming messages.
Possible values: active, inactive
Antwort-Payload
status
string
erforderlich
Conversation status. If enabled, creates conversations for incoming messages.
Possible values: active, inactive
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/channels/{channelId}/conversational' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Codebeispiel
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/channels/9673b291-2f71-43c1-a07c-6f2ff0926818/conversational" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
"status": "active"
}'Codebeispiel
{
"status": "active"
}